{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function fieldcount\r\ndeclare subroutine forward_event\r\n$insert logical\r\n\r\nif .status->value = 'C' else\r\n\tif .exp_date->invalue < date() then\r\n\t   .status->value = 'E'\r\n\tend else\r\n\t   NumSigsRequired = xlate( 'CONFIG', 'QUOTE_SIGS', 3, 'X' )+0\r\n\t   Sigs = .signatures->array<1>\r\n\t   Scnt = fieldcount( Sigs, @vm )\r\n\t   SigCnt = 0\r\n\t   for i = 1 to Scnt\r\n\t      if Sigs<1,i> <> '' then\r\n\t         SigCnt += 1\r\n\t      end\r\n\t   next i\r\n\t   if SigCnt >= NumSigsRequired then\r\n\t      .status->value = 'O'\r\n          .inquiry_status->value = 'C'\t      \r\n\t   end else\r\n\t      .status->value = 'U'\r\n\t   end\r\n\tend\r\nend\r\nforward_event(Flag,FocusID)\r\nHoldExpDate = get_property( @window, '@HoldExpDate' )\r\nCurExpDate  = @CtrlEntId->text\r\nif ( CurExpDate <> HoldExpDate ) then\r\n   .exp_date_warn->text = 'No'\r\nend\r\nRETURN 0"
        }
    }
}